Package org.apache.sysds.runtime.compress.lib

## Class CLALibScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibScheme

    public class CLALibScheme
    extends Object

### Constructor Summary

Constructors
`CLALibScheme()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressionScheme` `genScheme​(AColGroup.CompressionType type, int nCols)` Generate a scheme with the given type of columnGroup and number of columns in each group
`static CompressionScheme` `getScheme​(CompressedMatrixBlock cmb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibScheme

    public CLALibScheme()

### Method Detail

#### getScheme

    public static CompressionScheme getScheme​(CompressedMatrixBlock cmb)

#### genScheme

    public static CompressionScheme genScheme​(AColGroup.CompressionType type,
                                              int nCols)

Generate a scheme with the given type of columnGroup and number of columns in each group

Parameters:
  `type` - The type of encoding to use
  `nCols` - The number of columns
Returns:
  A scheme to generate.